package me.km.snuviscript.commands;

import me.hammerle.snuviscript.code.ScriptManager;
import me.km.utils.Location;
import net.minecraft.entity.item.ItemEntity;
import net.minecraft.item.ItemStack;

public class ItemEntityCommands {
    public static void registerFunctions(ScriptManager sm) {
        sm.registerFunction("item.entity.get", (sc, in) -> ((ItemEntity) in[0].get(sc)).getItem());
        sm.registerConsumer("item.entity.set", (sc, in) -> {
            ((ItemEntity) in[0].get(sc)).setItem((ItemStack) in[1].get(sc));
        });
        sm.registerFunction("item.entity.new", (sc, in) -> {
            Location l = (Location) in[0].get(sc);
            return new ItemEntity(l.getWorld().getWorld(), l.getX(), l.getY(), l.getZ(), (ItemStack) in[1].get(sc));
        });
    }
}
