package me.km.snuviscript.commands;

import java.util.Map;
import me.hammerle.snuviscript.code.ScriptManager;
import me.km.utils.Mapper;
import net.minecraft.enchantment.Enchantment;
import net.minecraft.enchantment.EnchantmentHelper;
import net.minecraft.item.ItemStack;

public class EnchantmentCommands {
    public static void registerFunctions(ScriptManager sm) {
        sm.registerFunction("enchantment.get", (sc, in) -> Mapper.getEnchantment(in[0].getString(sc)));
        sm.registerFunction("enchantment.add", (sc, in) -> {
            ((ItemStack) in[1].get(sc)).addEnchantment((Enchantment) in[0].get(sc), in[2].getInt(sc));
            return true;
        });
        sm.registerFunction("enchantment.getlevel", (sc, in) -> {
            return (double) EnchantmentHelper.getEnchantmentLevel((Enchantment) in[0].get(sc), (ItemStack) in[1].get(sc));
        });
        sm.registerFunction("enchantment.readfromitem", (sc, in) -> {
            return EnchantmentHelper.getEnchantments((ItemStack) in[0].get(sc));
        });
        sm.registerConsumer("enchantment.writetoitem", (sc, in) -> {
            EnchantmentHelper.setEnchantments((Map<Enchantment, Integer>) in[0].get(sc), (ItemStack) in[1].get(sc));
        });
    }
}
